package com.sd.cavphmi.viewmodels

import android.content.Context
import androidx.databinding.ObservableField
import androidx.lifecycle.LiveData
import androidx.lifecycle.MutableLiveData
import androidx.lifecycle.viewModelScope
import com.sd.cavphmi.base.MyBaseViewModel
import com.sd.cavphmi.bean.CarVehicle
import com.sd.cavphmi.bean.OrderBean
import com.sd.cavphmi.net.MyResult
import com.sd.cavphmi.repositorys.ParseSocketRepo
import com.sd.cavphmi.utils.FileIoUtils
import dagger.hilt.android.lifecycle.HiltViewModel
import dagger.hilt.android.qualifiers.ApplicationContext
import kotlinx.coroutines.delay
import kotlinx.coroutines.launch
import javax.inject.Inject

@HiltViewModel
class MockVM @Inject constructor(
    @ApplicationContext private var context: Context,
    private var parseSocketRepo: ParseSocketRepo
) : MyBaseViewModel() {


    fun onVehicleMock(
        carVehicle: MutableLiveData<CarVehicle>,
        heading: ObservableField<Int>,
        speed: ObservableField<Float>
    ) {
        viewModelScope.launch {
            var dst = mutableListOf<String>()
            FileIoUtils.getAssetMock(context, "mock/carvehicle.txt", dst)
            dst.forEach { str ->
                delay(1000)
                val bean =
                    parseSocketRepo.parseDataBean(str, CarVehicle::class.java)
                println("------模拟车辆位姿数据 = ${bean}")
                heading.set(bean.vehicleData.get(0).heading.toInt())
                speed.set(bean.vehicleData.get(0).speed)
                carVehicle.value = bean
            }
        }
    }


}